Holger's Java API

## com.antelmann.util.gui
Enum LayoutOption

    java.lang.Object
      java.lang.Enum<LayoutOption>
          com.antelmann.util.gui.LayoutOption

All Implemented Interfaces:
  Serializable, Comparable<LayoutOption>

    public enum LayoutOption

extends Enum<LayoutOption>

specifies the way a component should be laid out to best fit into an enclosing container

Since:
  12.03.2009, 18:35:47
Author:
  Holger Antelmann

Enum Constant Summary
`BIG` specifies that the component may take up some room to be comfortably displayed
`COMPACT` specifies that the component should be laid out as compact as possible
`HORIZONTAL` specifies that the component should be laid out as low as possible
`VERTICAL` specifies that the component should be laid out as narrow as possible

Method Summary
`static LayoutOption` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LayoutOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMPACT

    public static final LayoutOption COMPACT

  specifies that the component should be laid out as compact as possible

### VERTICAL

    public static final LayoutOption VERTICAL

  specifies that the component should be laid out as narrow as possible

### HORIZONTAL

    public static final LayoutOption HORIZONTAL

  specifies that the component should be laid out as low as possible

### BIG

    public static final LayoutOption BIG

  specifies that the component may take up some room to be comfortably displayed

Method Detail

### values

    public static LayoutOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LayoutOption c : LayoutOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LayoutOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads